<template>
  <div class="starsList">
    <div class="el-card__header">
      <span>星星数管理</span>
      <div style="display: flex;flex-direction: row;align-items: center">
        <el-button type="primary" class="el-button--small" @click="addRecharge">新增</el-button>
      </div>
    </div>
    <div style="padding: 20px;background: #fff;margin-top: 10px">
      <el-table :data="tableData" header-cell-class-name="headClass" style="width: 100%" border>
        <el-table-column prop="ID" label="ID" width="100">
        </el-table-column>
        <el-table-column prop="GoodsName" label="产品名称">
        </el-table-column>
        <el-table-column prop="SellingPrice" label="售价">
          <template slot-scope="scope">
            <span>
              ￥{{scope.row.SellingPrice.toFixed(2)}}元
            </span>
          </template>
        </el-table-column>
        <el-table-column prop="PonitNum" label="星星数">
        </el-table-column>
        <el-table-column prop="IsGive" label="是否赠送星星数">
          <template slot-scope="scope">
            <el-tag v-if="scope.row.IsGive==0" size="small" type="info">不赠送</el-tag>
            <el-tag v-if="scope.row.IsGive>0" size="small" type="warning">赠送{{scope.row.GivePoint}}星星数</el-tag>
          </template>
        </el-table-column>
        <el-table-column fixed="right" label="操作" width="180">
          <template slot-scope="scope">
            <el-tooltip class="item" effect="dark" content="编辑" placement="top">
              <img src="../../assets/img/setup/edit.png" alt="" class="imgstyle" @click="Edit(scope.row)">
            </el-tooltip>
            <el-tooltip class="item" effect="dark" content="删除" placement="top">
              <img src="../../assets/img/setup/del.png" alt="" class="imgstyle" @click="delete_b(scope.row)">
            </el-tooltip>
          </template>
        </el-table-column>
      </el-table>
      <el-pagination style="text-align:right" background @current-change="handleCurrentChange" :page-size="msg.pageSize"
                     layout="prev, pager, next" :current-page.sync="msg.pageIndex" :total="count">
      </el-pagination>
    </div>
  </div>
</template>

<script>
  export default {
    name: "starsList",
    data() {
      return {
        msg: {
          pageIndex: 1,
          pageSize: 15,
        },
        changeState: false,
        dateList: [],

        tableData: [],
        count: 0,
        loading: false,
        EnableMsg: {
          Ids: '',
          TeacherStatus: 0,
        },
      }
    },
    created() {
      this.getDateList(); //获取老师分页

    },
    methods: {
      getDateList() {
        this.loading = true;
        this.apipost("/api/Point/GetPointGoodsPageList", this.msg, res => {
          this.loading = false;
          if (res.data.resultCode == 1) {
            this.tableData = res.data.data.pageData;
            this.count = res.data.data.count;
          } else {
            this.Info(res.data.message);
          }

        })
      },
      addRecharge() {
        this.$router.push('/addstars');
      },

      Edit(row) {
        this.$router.push({
          name: 'addstars',
          query: {
            ID: row.ID,
            blank: "y"
          }
        });
      },
      delete_b(row) {
        let that = this;
        that.Confirm("是否删除?", function () {
          that.apipost(
            "/api/Point/DeletePointGoods", {
              Id: row.ID
            },
            res => {
              if (res.data.resultCode == 1) {
                that.Success(res.data.message);
                that.getDateList();
              } else {
                that.Error(res.data.message);
              }
            },
          );
        });
      },
      getList() {
        this.msg.pageIndex = 1
        this.getDateList()
      },
      handleCurrentChange(val) {
        this.msg.pageIndex = val;
        this.getDateList();
      },
    },
  }

</script>

<style>
  .starsList .el-card__header {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background: #fff;

  }

  .starsList .el-button--small {
    padding: 9px 15px;
  }

  .starsList .content .searchInput {
    border: 1px solid #DCDFE6;
    border-radius: 4px;
    /*margin-left: 10px;*/
  }

  .starsList .content .searchInput .el-input__inner {
    border: none;
    outline: none;
    height: 30px;
    line-height: 30px;
  }

  .starsList .content .searchInput {
    line-height: normal;
    display: inline-table;
    border-collapse: separate;
    border-spacing: 0;
    width: 250px;
  }

  .starsList .content {
    background: #fff;
    margin-top: 10px;
    padding: 15px;
    box-sizing: border-box;
  }

  .starsList .el-tag {
    margin-right: 5px;
  }

  .starsList .app-image {
    background-position: center center;
    width: 50px;
    height: 50px;
    border-radius: 0%;
    float: left;
    margin-right: 8px;
  }

</style>
